Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxEventListener

    java.lang.Object
      groovy.jmx.builder.JmxEventListener

All Implemented Interfaces:
  EventListener, NotificationListener

    public class JmxEventListener
    extends Object
    implements NotificationListener

The JmxEventListner class is used by the builder to listen to events on the event bus. It is used internally by JmxBuilder to handle attribute-change and operation-invoke events on the bean() node.

Author:
  Vladimir Vivien
See Also:
  `JmxBeanFactory`

Constructor Summary
Constructor and Description
`JmxEventListener()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static JmxEventListener` | `getListner()` Factory method that returns an instance of the listener.
`void` | `handleNotification(Notification notification, Object handback)` This is the mplemented method for NotificationListener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxEventListener

    public JmxEventListener()

Method Detail

### getListner

    public static JmxEventListener getListner()

  Factory method that returns an instance of the listener.

  Returns:
    - JmxEventListener instance.

### handleNotification

    public void handleNotification(Notification notification,
                                   Object handback)

  This is the mplemented method for NotificationListener. It is called by an event emitter to dispatch JMX events to listeners. Here it handles internal JmxBuilder events.

  Specified by:
    `handleNotification` in interface `NotificationListener`
  Parameters:
    `notification` - the notification object passed to closure used to handle JmxBuilder events.
    `handback` - - In this case, the handback is the closure to execute when the event is handled.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD